function Blatt1()
r = 0.0001;
Q = 1;

N = 10000; %Anzahl an zuflligen Zahlen
mu = 0.0; %Aktiendrift
sigma = 0.1; %Volatilitt
k = 0.5; %Threshold
S_0 = 0.5;%Startwert des Aktienkurses


T = 30; %Zeitpunkt der Threshold-Abrage
out1 = []
out2 = []
for S_0 = 0: 0.001: 1
    %Generiert normalverteilte zufllige Werte in s[]:
    s = sqrt(sigma^2 / T).*randn(N, 1) + mu - (sigma^2 / 2.0);

    %Monte-Carlo Methode:
    treffer = 0;
    for n = 1: N
        if Aktienkurs(S_0, s(n), T) > k
            treffer = treffer + 1;
        end
    end
    p = treffer / N

    out1 = [out1, HeutigerExperimentellerWert(r, T, Q, p)];
    out2 = [out2, HeutigerExakterWert(r, T, Q, k, mu, sigma, S_0)];
end
S_0 = 0: 0.001: 1;

plot(S_0, out1);
hold on;
plot(S_0, out2);
figure;

plot(S_0(1:end - 1), (out1(2:end) - out1(1:end - 1)) / 0.001)
hold on;
plot(S_0(1:end - 1), (out2(2:end) - out2(1:end - 1)) / 0.001)


function [S_T] = Aktienkurs(S_0, X, T)
S_T = S_0 * exp(X * T);

function [V_] = HeutigerExperimentellerWert(r, T, Q, p)
V_ = exp(- r * T) * Q * p;

function [V]= HeutigerExakterWert(r, T, Q, k, mu, sigma, S_0)
d = (log(S_0 / k) + T * (mu - sigma^2 / 2)) / (sigma * sqrt(T));
V = 0.5 * (1 + erf(d / sqrt(2))) * exp(-r * T) * Q; 






